From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/lmms/
Date: Thu, 30 Nov 2017 21:40:08 +0000 (UTC) [thread overview]
Message-ID: <1512078003.23e190c098a3831b8637e152a72c468c94c2c216.polynomial-c@gentoo> (raw)
commit: 23e190c098a3831b8637e152a72c468c94c2c216
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 30 21:30:33 2017 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Nov 30 21:40:03 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23e190c0
media-sound/lmms: Bump to version 1.2.0_rc4
Package-Manager: Portage-2.3.16, Repoman-2.3.6
media-sound/lmms/Manifest | 1 +
media-sound/lmms/lmms-1.2.0_rc4.ebuild | 98 ++++++++++++++++++++++++++++++++++
2 files changed, 99 insertions(+)
diff --git a/media-sound/lmms/Manifest b/media-sound/lmms/Manifest
index d5fa9d70bb9..bd8d5a74f44 100644
--- a/media-sound/lmms/Manifest
+++ b/media-sound/lmms/Manifest
@@ -1 +1,2 @@
DIST lmms-1.1.90.tar.gz 16580373 SHA256 007a4b7a6c7c09bd9e4262af0f03aafb8f0e4a627d88cfa80b845202f675cc4b SHA512 4e8bc4ec70c613b69ff14e463860e6f86236cb7b238529d41c4e9cc1b9642590110d1d07f87b9e2a4e139454c3a1f851f95a5eaef12e95660b50dd6ea17aa486 WHIRLPOOL 495de690f69d2e00c7d2f99e81384e189bf235aec6911f94029be984552856be3aa19f1a5f66293e97deadacc22dbd3cbbc0d2d7a42e7111484edf9d65c196fa
+DIST lmms-1.2.0_rc4.tar.gz 16596115 BLAKE2B ec8a132f900417749899b084915d31348e267aebcded218d919559f195ce4826091bc3576932d2fa9115c2e040ba73b84db05eeaca3fbcf33b930791241de990 SHA512 8f102f2a4f157da1b8477d4f73bd5b86e7d11453491f6764deed1c61654c0836e612e19d1dac33d154ed9d1b0a0c65084a0537be832c94e72b904264269b6a96
diff --git a/media-sound/lmms/lmms-1.2.0_rc4.ebuild b/media-sound/lmms/lmms-1.2.0_rc4.ebuild
new file mode 100644
index 00000000000..1782844e67f
--- /dev/null
+++ b/media-sound/lmms/lmms-1.2.0_rc4.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils xdg-utils
+
+DESCRIPTION="Cross-platform music production software"
+HOMEPAGE="https://lmms.io"
+if [[ ${PV} == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/LMMS/lmms.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/LMMS/${PN}/archive/v${PV/_/-}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+ S="${WORKDIR}/${P/_/-}"
+fi
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0"
+
+IUSE="alsa debug fluidsynth jack libgig ogg portaudio pulseaudio sdl soundio stk vst"
+
+COMMON_DEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ >=media-libs/libsamplerate-0.1.8
+ >=media-libs/libsndfile-1.0.11
+ sci-libs/fftw:3.0
+ sys-libs/zlib
+ >=x11-libs/fltk-1.3.0_rc3:1
+ alsa? ( media-libs/alsa-lib )
+ fluidsynth? ( media-sound/fluidsynth )
+ jack? ( virtual/jack )
+ libgig? ( media-libs/libgig )
+ ogg? (
+ media-libs/libogg
+ media-libs/libvorbis
+ )
+ portaudio? ( >=media-libs/portaudio-19_pre )
+ pulseaudio? ( media-sound/pulseaudio )
+ sdl? (
+ media-libs/libsdl
+ >=media-libs/sdl-sound-1.0.1
+ )
+ soundio? ( media-libs/libsoundio )
+ stk? ( media-libs/stk )
+ vst? ( || ( app-emulation/wine virtual/wine ) )
+"
+DEPEND="${COMMON_DEPEND}
+ dev-qt/linguist-tools:5
+ >=dev-util/cmake-2.4.5
+"
+RDEPEND="${COMMON_DEPEND}
+ media-libs/ladspa-cmt
+ media-plugins/calf
+ media-plugins/caps-plugins
+ media-plugins/swh-plugins
+ media-plugins/tap-plugins
+"
+
+DOCS=( README.md doc/AUTHORS )
+
+src_configure() {
+ local mycmakeargs+=(
+ -DUSE_WERROR=FALSE
+ -DWANT_SYSTEM_SR=TRUE
+ -DWANT_CAPS=FALSE
+ -DWANT_TAP=FALSE
+ -DWANT_SWH=FALSE
+ -DWANT_CMT=FALSE
+ -DWANT_CALF=FALSE
+ -DWANT_QT5=TRUE
+ -DCMAKE_INSTALL_LIBDIR=$(get_libdir)
+ -DWANT_ALSA=$(usex alsa)
+ -DWANT_JACK=$(usex jack)
+ -DWANT_GIG=$(usex libgig)
+ -DWANT_OGGVORBIS=$(usex ogg)
+ -DWANT_PORTAUDIO=$(usex portaudio)
+ -DWANT_PULSEAUDIO=$(usex pulseaudio)
+ -DWANT_SDL=$(usex sdl)
+ -DWANT_SOUNDIO=$(usex soundio)
+ -DWANT_STK=$(usex stk)
+ -DWANT_VST=$(usex vst)
+ -DWANT_SF2=$(usex fluidsynth)
+ )
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}
next reply other threads:[~2017-11-30 21:40 UTC|newest]
Thread overview: 41+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-30 21:40 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-26 17:50 [gentoo-commits] repo/gentoo:master commit in: media-sound/lmms/ Ionen Wolkens
2024-07-31 21:18 Eli Schwartz
2024-07-31 21:18 Eli Schwartz
2024-06-25 10:57 Miroslav Šulc
2024-06-25 10:55 Miroslav Šulc
2024-06-24 7:13 Miroslav Šulc
2024-03-07 23:24 Andreas Sturmlechner
2024-03-07 11:51 Sam James
2024-03-07 11:51 Sam James
2023-05-29 13:11 Andreas Sturmlechner
2021-04-14 8:24 Lars Wendler
2021-04-14 8:24 Lars Wendler
2020-08-11 14:23 Agostino Sarubbo
2020-08-10 13:09 Agostino Sarubbo
2020-07-21 9:33 Agostino Sarubbo
2020-07-20 6:42 Agostino Sarubbo
2020-07-05 20:29 Lars Wendler
2020-06-13 8:48 Miroslav Šulc
2019-11-15 0:36 Andreas Sturmlechner
2019-10-21 11:59 Lars Wendler
2019-10-21 11:59 Lars Wendler
2019-06-11 11:12 Lars Wendler
2019-04-11 9:21 Lars Wendler
2019-03-31 10:47 Andreas Sturmlechner
2019-03-13 14:31 Lars Wendler
2019-03-13 14:31 Lars Wendler
2019-01-09 11:52 Andreas Sturmlechner
2018-08-14 8:42 Lars Wendler
2018-01-06 22:54 Mikle Kolyada
2017-12-13 21:37 NP Hardass
2017-11-30 21:40 Lars Wendler
2017-10-13 21:07 Jonas Stein
2017-09-26 0:54 Andreas Sturmlechner
2017-09-26 0:54 Andreas Sturmlechner
2017-09-21 0:56 NP Hardass
2017-08-01 14:08 Amy Liffey
2017-05-05 13:27 Lars Wendler
2017-04-08 9:23 Alexis Ballier
2016-12-29 15:05 Alexis Ballier
2016-03-07 18:50 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1512078003.23e190c098a3831b8637e152a72c468c94c2c216.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox